Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.aamanager
Interface SessionManager

All Known Implementing Classes:
  SessionManagerImpl

public interface SessionManager

DefaultAAManager의 사용자 세션을 관리하는 SessionManager 인터페이스.

DefaultAAManager를 사용하는 어플리케이션은 세션 관리를 처리해주는 SessionManager의 구현체를 제공해야 한다.

Since:
  2.0
Author:
  최범균

Method Summary
`void` | `closeSession(HttpServletRequest request, HttpServletResponse response)` 사용자 세션을 종료한다.
`User` | `getSessionUser(HttpServletRequest request)` 현재 세션의 사용자 정보를 구한다.
`void` | `init(ComponentConfig configuration)` 컴포넌트의 초기화 정보를 사용해서 SessionManager를 초기화한다.
`void` | `openSession(User user, HttpServletRequest request, HttpServletResponse response)` 사용자 세션을 시작한다.

Method Detail

### init

    public void init(ComponentConfig configuration)
              throws AAManagerException

  컴포넌트의 초기화 정보를 사용해서 SessionManager를 초기화한다.

  Parameters:
    `configuration` -
  Throws:
    `AAManagerException`

### openSession

    public void openSession(User user,
                            HttpServletRequest request,
                            HttpServletResponse response)
                     throws AAManagerException

  사용자 세션을 시작한다.

  Parameters:
    `user` - 사용자
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `AAManagerException`

### closeSession

    public void closeSession(HttpServletRequest request,
                             HttpServletResponse response)
                      throws AAManagerException

  사용자 세션을 종료한다.

  Parameters:
    `request` - HTTP 요청
    `response` - HTTP 응답
  Throws:
    `AAManagerException`

### getSessionUser

    public User getSessionUser(HttpServletRequest request)
                        throws AAManagerException

  현재 세션의 사용자 정보를 구한다.

  Parameters:
    `request` - HTTP 요청
  Returns:
    세션에 저장된 User. 존재하지 않을 경우 null을 리
  Throws:
    `AAManagerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD